Du bist nicht angemeldet.

Eine Antwort schreiben

Schreibe deinen Beitrag und versende ihn
Beitragsoptionen
Deine Antwort

Zurück

Themen-Übersicht (Neuester Beitrag zuerst)

The Hit-Man
20.05.2020 13:26:21

wollte mich mal zurück melden. es ging ja um die widevine lib um zum beispiel unter dem kodi-plugin joyn, sich die mediatheken usw. anzuschauen.
hatte es jetzt noch mal so probiert:

habe kodi mit root rechten gestartet, also einfach in der /etc/passwd den benutzer kodi auf 0:0: gesetzt, da kodi zum auspacken der libwidevine.so tools braucht ( z.B. mount ), auf die nur root zu greifen kann.
dann bin ich auf das joyn plugin gegangen und versucht eine datei aus dessen mediathek abzuspielen. dann kommt das fenster das widevine nicht installiert ist. und es wird nach gefragt diese lib zu installieren. einfach EULA akzeptieren und den assistenten folgen. man braucht aber min. 3,1GB platz auf seinem raspberry.

naja, und dann hats einfach geklappt. habe den benutzer kodi wieder auf seine normale uid/gid gestellt und fertig.
ich meine aber, das ich das so sschon einmal versucht hatte und es dann nicht geklappt hatte. aber jetzt ging es ...

The Hit-Man
17.02.2020 20:28:35

ich habe mir mal dieses script angeschaut und auch mal das image runter geladen ( glaube kodi macht es genau so ). per losetup kann ich das entpackte image auch mounten. allerdings nicht die einzelnen partitionen. mit cfdisk kann ich alle partitionen sehen. die größte ist ext4. allerdings beim mounten wird das dateisystem nicht erkannt sad

achja, die felermeldung ist:
mount: /mnt/tmp: Falscher Dateisystemtyp, ungültige Optionen, der Superblock von /dev/loop0p3 ist beschädigt, fehlende Kodierungsseite oder ein anderer Fehler.

der link zum script
https://gist.github.com/ruario/19a28d98 … 42e5f8bf29

ich denke, aus dem grund, kann es kodi auch nicht selbst mounten. auch wenn man kodi unter root startet, um mount, losetup usw. bereit zu stellen.

The Hit-Man
17.02.2020 19:17:00

also das addon installiert die widevine lib. aber es scheint sich um eine alte version zu halten, da kodi immer ein update der lib versuchen will. wo hat der typ nur die lib her?

https://www.matthuisman.nz/2018/05/kodi … pport.html

The Hit-Man
17.02.2020 07:10:22

mit retropie komme ich dann auch nicht viel weiter. ich meine mich aber zu erinnern, das es mal ein repo gab mit binaries für die ganzen raspberries usw. weiß aber nicht mehr wo das war. muß ich mal durch gehen. einige hatte ich mir noch nicht angesehen.

The Hit-Man
17.02.2020 05:16:06

ich werde es mal mit retropie versuchen. vielleicht klappts ja da oder die haben die passenden binaries da ... ich sag dann mal bescheid.

The Hit-Man
16.02.2020 15:54:52

naja für netflix/sky usw. brauchste ja bei einigen sachen. ich habs ja mal geschafft unter kodi auf einem x86_64 rechner. aber ich weiß nicht mehr, wie ich es hin bekommen hatte.

Hackepeter
16.02.2020 09:04:35

Ich habe es auch versucht und aufgegeben. Für welches Plugin benötigst du Widevine und hat es geklappt?

The Hit-Man
15.02.2020 21:34:34

mir ist gerade aufgefallen, das die widevine unter kodi nen update haben will. wird aber mount/umount und so weiter benötigt, da sie ja in einem image liegt ... mhmmmm, mache mal eben nen fießen trick und lass das mal unter root installieren auch wenns mir stinkt. mal schauen was passiert...
sind ja noch keine wichtigen daten drauf.

The Hit-Man
15.02.2020 21:06:27

heute ist mein raspberry 3 gekommen und ich hänge jetzt gerade mit an dem problem mit der widevine CDM lib. ich bekomme ich ausm AUR für mein pi ohne probleme gebaut und auch installiert.

https://aur.archlinux.org/packages/chro … ne-armv7h/

jedoch immer wenn eine CDM geschützte datei abspielen mag, bekomme ich immer die meldung das widevine noch installiert werden muß. aber die lib liegt ja schon unter /usr/lib/chromium
mache ich da irgendwas falsch?

Fußzeile des Forums

Powered by FluxBB